package com.pj.project.sys_login_log;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.pj.utils.sg.*;
import java.util.*;

/**
 * 工具类：sys_login_log -- 用户登录日志表
 * @author shengzhang 
 *
 */
@Component
public class SysLoginLogUtil {

	/** 底层 Mapper 对象 */
	public static SysLoginLogMapper sysLoginLogMapper;
	@Autowired
	private void setSysLoginLogMapper(SysLoginLogMapper sysLoginLogMapper) {
		SysLoginLogUtil.sysLoginLogMapper = sysLoginLogMapper;
	}
	
	/** 
	 * 将一个 SysLoginLog 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G] 
	 */
	static void check(SysLoginLog s) {
		AjaxError.notIsNull(s.getId(), "[ id号 ] 不能为空");		// 验证: id号 
		AjaxError.notIsNull(s.getUserId(), "[ 用户id ] 不能为空");		// 验证: 用户id 
		AjaxError.notIsNull(s.getAccToken(), "[ 本次登录Token ] 不能为空");		// 验证: 本次登录Token 
		AjaxError.notIsNull(s.getLoginIp(), "[ 登陆IP ] 不能为空");		// 验证: 登陆IP 
		AjaxError.notIsNull(s.getClientDomain(), "[ Client端域名 ] 不能为空");		// 验证: Client端域名 
		AjaxError.notIsNull(s.getCreateTime(), "[ 创建时间 ] 不能为空");		// 验证: 创建时间 
	}

	/** 
	 * 获取一个SysLoginLog (方便复制代码用) [G] 
	 */ 
	static SysLoginLog getSysLoginLog() {
		SysLoginLog s = new SysLoginLog();	// 声明对象 
		s.setId(0L);		// id号 
		s.setUserId(0L);		// 用户id 
		s.setAccToken("");		// 本次登录Token 
		s.setLoginIp("");		// 登陆IP 
		s.setClientDomain("");		// Client端域名 
		s.setCreateTime(new Date());		// 创建时间 
		return s;
	}
	
}
